can't resolve symbol '_Unwind_Backtrace'

David Daney ddaney@avtrex.com
Mon Apr 21 15:01:00 GMT 2008


Andrew Haley wrote:
> ffileppo wrote:
>   
>>> ffileppo wrote:
>>>       
>>>> Hi,
>>>>
>>>> I'm getting this error when I try to run a gcj exe on my target (arm-linux, cpu PXA270):
>>>>
>>>> ./a.out: can't resolve symbol '_Unwind_Backtrace'
>>>>         
>>> Hmm, doesn't look like armel.
>>>
>>> Which ABI is this?  New or old ARM ABI?  What version of gcc?
>>>
>>> The me what `uname -a' returns.
>>>
>>> Andrew.
>>>
>>>       
>> How can I check which ABI I'm using?
>>
>> I used GCC 4.3 to compile arm-linux-gcj; the rootfs of the target was built using gcc 4.2.3 (with uclibc), I don't know it is important though.
>>
>> You mean "uname -a" of my target right?
>> It tells:
>> Linux uclibc 2.6.22.6 #72 Mon Apr 21 15:34:00 CEST 2008 armv5tel unknown
>>     
>
>   

Are you really using uClibc?

Has libgcj ever been tested with other than glibc?

I know uClibc does not work with libgcj on MIPS.

David Daney





More information about the Java mailing list